package com.yida.data.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.WxPublicQr;
import com.yida.data.common.core.entity.agent.EduAgentWxPublicReceiver;
import java.util.List;

public interface EduAgentWxPublicReceiverService extends IService<EduAgentWxPublicReceiver> {

    String bindReceiver(Long agentId, CurrentUser currentUser);

    List<EduAgentWxPublicReceiver> listReceiverBySchool(Long schoolId);

    void wxPublicQrCall(WxPublicQr wxPublicQr);
}
